Get Member Ancestors
/outline/{app}/{cube}/ancestors/{memberUniqueName}
Returns all ancestors of the requested member.
Request
-
app(required):
Application name.
-
cube(required):
Database name.
-
memberUniqueName(required):
Unique member name (fully qualified name).
-
applicationNameForConnection:
Application name for connection.
-
connection:
Essbase connection name.
-
fields:
Comma-separated list of member properties to fetch.
Response
200 Response
OK
List of ancestors returned successfully.
400 Response
Bad Request
Failed to get ancestors.
500 Response
Internal Server Error.
Examples
The following example shows how to get the ancestors of a specified Essbase member.
Member information output that Essbase displays is contextual. Typically, default information is not included. The following are examples of properties that may not be displayed when you query information for a member:
- consolidation: not displayed if the member consolidation operator is the default of Add (+)
- numberOfChildren: not displayed for leaf-level members (members with no children)
- activeAliasName: not displayed unless a non-default alias table is being used in the current session
- attributeType: only displayed for members that are attribute dimension names
- shareMembers: not displayed for dimension-name members nor attributes, as these cannot be the prototype member for a shared member.
- memberHasUniqueName: not displayed unless the outline is duplicate member enabled
Script with cURL Command
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/outline/ASOSamp/Basic/ancestors/Digital%20Cameras?links=none" -H Accept:application/json -H Content-Type:application/json -o output.json -u %User%:%Password%Example of Response Body
The following information is written to output.json:
[
{
"name": "Digital Cameras/Camcorders",
"dimensionName": "Products",
"numberOfChildren": 3,
"levelNumber": 1,
"generationNumber": 4,
"aliases": {
"Default": null
},
"uniqueName": "Digital Cameras/Camcorders",
"memberId": "id__513",
"descendantsCount": 3,
"parentName": "Personal Electronics",
"shareMembers": null,
"hierarchy": "NOTHIERARCHY"
},
{
"name": "Personal Electronics",
"dimensionName": "Products",
"numberOfChildren": 3,
"levelNumber": 2,
"generationNumber": 3,
"aliases": {
"Default": null
},
"uniqueName": "Personal Electronics",
"memberId": "id__512",
"descendantsCount": 11,
"parentName": "All Merchandise",
"shareMembers": null,
"hierarchy": "NOTHIERARCHY"
},
{
"name": "All Merchandise",
"dimensionName": "Products",
"numberOfChildren": 3,
"levelNumber": 4,
"generationNumber": 2,
"aliases": {
"Default": null
},
"uniqueName": "All Merchandise",
"memberId": "id__511",
"descendantsCount": 31,
"parentName": "Products",
"shareMembers": null
},
{
"name": "Products",
"numberOfChildren": 2,
"levelNumber": 5,
"aliases": {
"Default": null
},
"uniqueName": "Products",
"memberId": "id__510",
"descendantsCount": 37,
"previousSiblingsCount": 8,
"dimension": true,
"dataStorageType": "LABELONLY",
"formatString": null,
"hierarchy": "MULTIPLEHIERARCHYENABLED",
"renegadeMember": ""
}
]